diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 88cea3d..3bad24c 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4769,7 +4769,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <varlistentry id="guc-search-path" xreflabel="search_path">
       <term><varname>search_path</varname> (<type>string</type>)</term>
       <indexterm>
-       <primary><varname>search_path</> configuration parameter</primary>
+       <primary><varname>search_path</varname></primary>
+       <secondary>configuration parameter</secondary>
       </indexterm>
       <indexterm><primary>path</><secondary>for schemas</></>
       <listitem>
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index d6e5d64..99ebd10 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -1698,7 +1698,8 @@ CREATE TABLE public.products ( ... );
    <title>The Schema Search Path</title>
 
    <indexterm>
-    <primary>search path</primary>
+    <primary><varname>search_path</varname></primary>
+    <seealso>schema, current</seealso>
    </indexterm>
 
    <indexterm>
@@ -1735,7 +1736,8 @@ CREATE TABLE public.products ( ... );
    </para>
 
    <indexterm>
-    <primary>search_path</primary>
+    <primary><varname>search_path</varname></primary>
+    <secondary>runtime variable</secondary>
    </indexterm>
 
    <para>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index f8f63d8..dc6ca1e 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -12944,16 +12944,6 @@ postgres=# SELECT * FROM unnest2(ARRAY[[1,2],[3,4]]);
    </indexterm>
 
    <indexterm>
-    <primary>schema</primary>
-    <secondary>current</secondary>
-   </indexterm>
-
-   <indexterm>
-    <primary>search path</primary>
-    <secondary>current</secondary>
-   </indexterm>
-
-   <indexterm>
     <primary>session_user</primary>
    </indexterm>
 
@@ -12980,6 +12970,11 @@ postgres=# SELECT * FROM unnest2(ARRAY[[1,2],[3,4]]);
     the current user is the <quote>effective user</quote>.
    </para>
 
+   <indexterm>
+    <primary>schema</primary>
+    <secondary>current</secondary>
+   </indexterm>
+
    <para>
     <function>current_schema</function> returns the name of the schema that is
     first in the search path (or a null value if the search path is
@@ -13493,6 +13488,13 @@ SELECT has_function_privilege('joeuser', 'myfunc(int, text)', 'execute');
     are immediately available without doing <command>SET ROLE</>.
    </para>
 
+   <indexterm>
+    <primary><varname>search_path</varname></primary>
+    <secondary>
+      object visibility given an unqualified name
+    </secondary>
+   </indexterm>
+
   <para>
    <xref linkend="functions-info-schema-table"> shows functions that
    determine whether a certain object is <firstterm>visible</> in the
diff --git a/doc/src/sgml/ref/create_function.sgml b/doc/src/sgml/ref/create_function.sgml
index 4336e4b..cb5ee91 100644
--- a/doc/src/sgml/ref/create_function.sgml
+++ b/doc/src/sgml/ref/create_function.sgml
@@ -673,6 +673,11 @@ SELECT * FROM dup(42);
  <refsect1 id="sql-createfunction-security">
   <title>Writing <literal>SECURITY DEFINER</literal> Functions Safely</title>
 
+   <indexterm>
+      <primary><varname>search_path</varname></>
+      <secondary>use in securing functions</>
+   </indexterm>
+
    <para>
     Because a <literal>SECURITY DEFINER</literal> function is executed
     with the privileges of the user that created it, care is needed to

